Update
patch
/fscmRestApi/resources/11.13.18.05/assetWarrantyStandardRepairTimes/{WarrantyStandardRepairTimeId}
Request
Path Parameters
-
WarrantyStandardRepairTimeId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
EndDate: string
(date-time)
Title:
Active to Date -
StandardRepairTime: number
Title:
Standard Repair Time -
StartDate: string
(date-time)
Title:
Active from Date -
WarrantyProviderNumber: string
Title:
Warranty Provider NumberMaximum Length:255
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assetWarrantyStandardRepairTimes-item-response
Type:
Show Source
object-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
EndDate: string
(date-time)
Title:
Active to Date -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrganizationCode: string
Title:
Organization CodeMaximum Length:255 -
OrganizationId: integer
Title:
Organization ID -
StandardOperationCode: string
Title:
Standard Operation CodeMaximum Length:255 -
StandardOperationDescription: string
Title:
Standard Operation DescriptionRead Only:trueMaximum Length:240 -
StandardOperationId: integer
(int64)
Title:
Standard Operation ID -
StandardOperationName: string
Title:
Standard Operation NameRead Only:trueMaximum Length:120 -
StandardRepairTime: number
Title:
Standard Repair Time -
StartDate: string
(date-time)
Title:
Active from Date -
WarrantyProviderId: integer
(int64)
Title:
Warranty Provider ID -
WarrantyProviderName: string
Title:
Warranty Provider NameRead Only:trueMaximum Length:360 -
WarrantyProviderNumber: string
Title:
Warranty Provider NumberMaximum Length:255 -
WarrantyStandardRepairTimeId: integer
(int64)
Title:
Warranty Standard Repair Time IDRead Only:true
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one warranty repair time.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetWarrantyStandardRepairTimes/WarrantyStandardRepairTimeId"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"StandardRepairTime": "3.5",
"EndDate": "2024-12-31"
}
Example Response Body
The following example includes the contents of the response
body in JSON format:
{
"WarrantyStandardRepairTimeId": 300100578374950,
"WarrantyProviderId": 100000011614922,
"WarrantyProviderNumber": "100000011614923",
"WarrantyProviderName": "CV_SuppA10",
"StandardOperationId": 300100178612162,
"StandardOperationCode": "RPSU",
"StandardOperationName": "Replace Power Supply Unit",
"StandardOperationDescription": null,
"StandardRepairTime": 3.5,
"StartDate": "2021-03-31T00:00:00+00:00",
"EndDate": "2024-12-31T00:00:00+00:00",
"CreatedBy": "MNT_QA",
"CreationDate": "2023-03-29T02:57:54+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-03-29T02:57:54.001+00:00",
}